Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn.params
Interface ConnConnectionPNames

All Known Subinterfaces:
  AllClientPNames

Deprecated.

    @Deprecated
    public interface ConnConnectionPNames

Parameter names for HTTP client connections.

Since:
  4.0

Field Summary
`static String` | `MAX_STATUS_LINE_GARBAGE` Deprecated. Use custom `DefaultHttpResponseParser` implementation

Field Detail

### MAX_STATUS_LINE_GARBAGE

    static final String MAX_STATUS_LINE_GARBAGE

  Deprecated. Use custom `DefaultHttpResponseParser` implementation
  Defines the maximum number of ignorable lines before we expect a HTTP response's status line.

  With HTTP/1.1 persistent connections, the problem arises that broken scripts could return a wrong Content-Length (there are more bytes sent than specified). Unfortunately, in some cases, this cannot be detected after the bad response, but only before the next one. So HttpClient must be able to skip those surplus lines this way.

  This parameter expects a value of type `Integer`. 0 disallows all garbage/empty lines before the status line. Use `Integer.MAX_VALUE` for unlimited number.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.